Subject: bug#49753: musescore does not play sounds (Not a valid SNDFILE* pointer)

From: Giovanni Biscuolo <[email-masked]>
Date: Wed, 28 Jul 2021 10:33:24 +0200

Hello,

I'm using Guix on top of Debian 10, this version:

--8<---------------cut here---------------start------------->8---

Generation 123	lug 26 2021 18:28:56	(current)
  guix 151c546
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 151c54609b74f27f6954768d72fdb67525b1f784

--8<---------------cut here---------------end--------------->8---

If I run musescore from the command line, I get a lot of messages
(removed repeating lines with OMISSIS):

--8<---------------cut here---------------start------------->8---

giovanni@roquette: musescore
Internal error: shortcut <file-part-export> not found
cannot find shortcut <file-part-export>
Initializing sequencer and audio driver…
Loading SoundFonts…
Initializing workspace…
Creating main window…
ZoomBox::setLogicalZoom(): Formatting logical zoom level as 100% (rounded from 1.000000)
Reading translations…
Initializing main window…
ZoomBox::setLogicalZoom(): Formatting logical zoom level as 100% (rounded from 1.000000)
qrc:/qml/palettes/PaletteTree.qml:772:5: QML Connections: Implicitly defined onFoo properties in Connections are deprecated. Use this syntax instead: function onFoo(<arguments>) { ... }
qrc:/qml/palettes/Palette.qml:766:13: QML Connections: Implicitly defined onFoo properties in Connections are deprecated. Use this syntax instead: function onFoo(<arguments>) { ... }
[OMISSIS - repeated 381 times]
qrc:/qml/palettes/PalettesWidgetHeader.qml:225:5: QML Connections: Implicitly defined onFoo properties in Connections are deprecated. Use this syntax instead: function onFoo(<arguments>) { ... }
Restoring session…
Loading scores…
Sample::decompressOggVorbis: open failed: Not a valid SNDFILE* pointer.
[OMISSIS - repeated 163 times]
Initializing tours…
qrc:/qml/palettes/Palette.qml:766:13: QML Connections: Implicitly defined onFoo properties in Connections are deprecated. Use this syntax instead: function onFoo(<arguments>) { ... }
[OMISSIS - repeated 342 times]
ScoreFont::draw: invalid sym 0

--8<---------------cut here---------------end--------------->8---

So it seems that musescore is loading SoundFonts without an error but
later it fails opening them with "Sample::decompressOggVorbis: open
failed: Not a valid SNDFILE* pointer."

If I try to export I get this error on stdout:

--8<---------------cut here---------------start------------->8---

Fluid:loadSoundFonts: already loaded
MasterSynthesizer::setState: unknown <>
open soundfile failed: File contains data in an unimplemented format.
Could not write to device
QMutex: destroying locked mutex

--8<---------------cut here---------------end--------------->8---

It seems a bug with the soudfile (soundfont?).

Thanks! Gio'

-- 
Giovanni Biscuolo

Xelera IT Infrastructures